#ifndef GAME_H
#define GAME_H

#include "stdint.h"


// Define the maximum length of a command
#define MAX_COMMAND_LENGTH 128

// Game state structure
typedef struct {
    int current_room;
    bool game_active;
} GameState;

// Function to initialize and run the game
void create_game();

// Function to handle the command input by the player
void handle_command(const char* command);

// Function to print the current prompt
void print_prompt();

#endif
