#pragma once

#include <stdint.h>

#define WINDOW_TITLE_MAX_LENGTH 20

typedef struct {
    int x;
    int y;
    int size_x;
    int size_y;
    uint8_t border_color;
    uint8_t background_color;
    char title[WINDOW_TITLE_MAX_LENGTH];
} Window;

// Function to create and draw a simple window
void create_window(Window* win, int x, int y, int size_x, int size_y, uint8_t border_color, uint8_t background_color, const char* title);
void print_text_in_window(const Window* win, int x, int y, const char* text);
