// disk_io.h

#ifndef DISK_IO_H
#define DISK_IO_H

#include <stdint.h>

// Read sectors from the disk
int disk_read(uint32_t lba, void *buffer, uint32_t size);

// Optional: Write sectors to the disk (not implemented)
int disk_write(uint32_t lba, const void *buffer, uint32_t size);


int bios_read_sector(uint32_t lba, void *buffer);

#endif // DISK_IO_H